- Erste Schritte
- Best Practices
- Mandant
- Über den Kontext „Mandant“
- Suche nach Ressourcen in einem Mandanten
- Verwaltung von Robotern
- Verbindung von Robotern mit Orchestrator
- Speicherung von Roboterzugangsdaten in CyberArk
- Speichern der Kennwörter von Unattended-Robotern im Azure Key Vault (schreibgeschützt)
- Speichern der Anmeldeinformationen von Unattended-Robotern im HashiCorp Vault (schreibgeschützt)
- Speichern der Anmeldeinformationen von Unattended-Robotern im AWS Secrets Manager (schreibgeschützt)
- Löschen von getrennten und nicht reagierenden Unattended-Sitzungen
- Roboter-Authentifizierung
- Roboter-Authentifizierung mit Client-Anmeldeinformationen
- Konfigurieren von Automatisierungsfunktionen
- Solutions (Lösungen)
- Audit
- Einstellungen
- Registrierung
- Cloud Robots
- Übersicht über Cloud Robots
- Ausführen von Unattended-Automatisierungen mit Cloud Robot – VM
- Hochladen Ihres eigenen Image
- Wiederverwenden von benutzerdefinierten Maschinen-Images (für manuelle Pools)
- Zurücksetzen der Anmeldeinformationen für eine Maschine (für manuelle Pools)
- Überwachung
- Sicherheitsupdates
- Testversion anfordern
- Häufig gestellte Fragen
- Konfigurieren einer VPN für Cloud-Roboter
- Konfigurieren einer ExpressRoute-Verbindung
- Live-Streaming und Remotesteuerung
- Events
- Anzeigen und Zugreifen auf Benachrichtigungen
- Anzeigen und Zugreifen auf E-Mail-Benachrichtigungen
- Es werden nur ungelesene Benachrichtigungen angezeigt
- Alle Benachrichtigungen als gelesen markieren
- Alle Benachrichtigungen löschen
- Löschen von Benachrichtigungen
- Abonnieren von Ereignissen
- Abbestellen von Ereignissen
- Automation Suite-Roboter
- Ordnerkontext
- Prozesse
- Jobs
- Apps
- Auslöser
- Protokolle
- Überwachung
- Indizes
- Warteschlangen
- Assets
- Über Assets
- Verwalten von Assets in Orchestrator
- Verwalten von Assets in Studio
- Speichern von Assets im Azure Key Vault (schreibgeschützt)
- Speichern von Assets im HashiCorp Vault (schreibgeschützt)
- Speichern von Assets im AWS Secrets Manager (schreibgeschützt)
- Speichern von Assets in Google Secret Manager (schreibgeschützt)
- Verbindungen
- Geschäftsregeln
- Speicher-Buckets
- MCP-Server
- Testverfahren in Orchestrator
- Ressourcenkatalogdienst
- Integrationen
- Fehlersuche und ‑behebung
Orchestrator-Anleitung
Interactive login is designed for developers working locally who need quick access to test MCP Servers. The client in this method is the UiPath CLI (uipath command-line tool) running on your development machine.
When you run uipath auth, the CLI opens your default browser to the UiPath Cloud login page. After you authenticate, the CLI saves the resulting Bearer token to a .env file in your current directory. You then include this token in the Authorization header of your HTTP requests to the MCP Server endpoint.
Interactive login is suitable for the following scenarios:
- Local development and testing of MCP Servers.
- Quick API testing with cURL, Postman, or MCP Inspector.
- Debugging MCP tool calls with full user permissions.
- Any scenario where a human developer is present at the terminal.
It is not suitable for unattended or automated scenarios. In this case, use an external application instead. For IDE integrations, use the MCP OAuth flow.
Voraussetzungen
- The UiPath CLI is installed on your development machine.
- You have an account with the Automation User, Automation Developer, or Folder Administrator role in the folder containing the MCP Server.
Authenticate and call an MCP Server
-
Authenticate to UiPath:
uipath authuipath authThe CLI opens your default browser. Log in to UiPath Cloud to complete authentication. The CLI saves the resulting Bearer token to a
.envfile in your current directory asUIPATH_ACCESS_TOKEN. -
Export the token to your shell environment:
export UIPATH_ACCESS_TOKEN=$(grep UIPATH_ACCESS_TOKEN .env | cut -d= -f2)export UIPATH_ACCESS_TOKEN=$(grep UIPATH_ACCESS_TOKEN .env | cut -d= -f2) -
Call an MCP Server using the exported token:
curl -X POST "https://cloud.uipath.com/{org}/{tenant}/agenthub_/mcp/{folderKey}/{slug}" \ -H "Authorization: Bearer $UIPATH_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{"jsonrpc":"2.0","method":"initialize","params":{"protocolVersion":"2025-06-18","capabilities":{},"clientInfo":{"name":"curl","version":"1.0"}},"id":1}'curl -X POST "https://cloud.uipath.com/{org}/{tenant}/agenthub_/mcp/{folderKey}/{slug}" \ -H "Authorization: Bearer $UIPATH_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{"jsonrpc":"2.0","method":"initialize","params":{"protocolVersion":"2025-06-18","capabilities":{},"clientInfo":{"name":"curl","version":"1.0"}},"id":1}'
Ergebnis
The MCP Server validates the token and responds to the initialize request. You can then send subsequent MCP protocol messages with the same Authorization header on every request.
Token characteristics
- Type: JWT
- Audience: includes
OrchestratorApiUserAccess - Issuer: UiPath Identity Server (
{env}.uipath.com/identity_) - Expiry: one hour. There is no automatic refresh, re-run
uipath authto get a new token.
The token grants:
- Access to all folders where the logged-in user has role assignments.
- All permissions the user has in those folders (inherited from their roles).
- Compatibility with Integration Service activities (user context is present).
Applicable MCP Server types
This authentication method works with all MCP Server types: UiPath, Coded, Command, Self-hosted, Remote, and Platform.